Package com.mckoi.database

## Class TableCommitModificationEvent

- java.lang.Object
- - com.mckoi.database.TableCommitModificationEvent

    public class TableCommitModificationEvent
    extends java.lang.Object

An object that encapsulates all row modification information about a table when a change to the table is about to be committed. The object provides information about what rows in the table were changed (inserted/updated/deleted).

Author:
  Tobias Downer

### Constructor Summary

Constructors
`TableCommitModificationEvent​(SimpleTransaction transaction, TableName table_name, int[] added, int[] removed)` Constructs the event.

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getAddedRows()` Returns the normalized list of all rows that were inserted or updated in this table of the transaction being committed.
`int[]` `getRemovedRows()` Returns the normalized list of all rows that were deleted or updated in this table of the transaction being committed.
`TableName` `getTableName()` Returns the name of the table.
`SimpleTransaction` `getTransaction()` Returns the Transaction that represents the view of the database when the changes to the table have been committed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableCommitModificationEvent

    public TableCommitModificationEvent​(SimpleTransaction transaction,
                                        TableName table_name,
                                        int[] added,
                                        int[] removed)

Constructs the event.

### Method Detail

#### getTransaction

    public SimpleTransaction getTransaction()

Returns the Transaction that represents the view of the database when the changes to the table have been committed.

#### getTableName

    public TableName getTableName()

Returns the name of the table.

#### getAddedRows

    public int[] getAddedRows()

Returns the normalized list of all rows that were inserted or updated in this table of the transaction being committed. This is a normalized list which means if a row is inserted and then deleted in the transaction then it is not considered important and does not appear in this list.

#### getRemovedRows

    public int[] getRemovedRows()

Returns the normalized list of all rows that were deleted or updated in this table of the transaction being committed. This is a normalized list which means if a row is inserted and then deleted in the transaction then it is not considered important and does not appear in this list.